//---------------------------------------------------------------------------

#ifndef MainFormUnitH
#define MainFormUnitH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "CSPIN.h"
#include <ExtCtrls.hpp>
//---------------------------------------------------------------------------
class TMainForm : public TForm
{
__published:	// IDE-managed Components
   TLabel *Label1;
   TEdit *ThinkPath;
   TLabel *Label2;
   TLabel *StatusLabel;
   TCheckBox *MonitorSwitch;
   TLabel *Label3;
   TCSpinEdit *Interval;
   TLabel *Label4;
   TCheckBox *CommandSwitch;
   TTimer *Timer;
   TButton *UpdateBtn;
   TEdit *Command;
   void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
   void __fastcall TimerTimer(TObject *Sender);
   void __fastcall UpdateBtnClick(TObject *Sender);
   void __fastcall MonitorSwitchClick(TObject *Sender);
   void __fastcall IntervalChange(TObject *Sender);
   void __fastcall ThinkPathChange(TObject *Sender);
private:	// User declarations
   TDateTime Savepoint;
public:		// User declarations
   __fastcall TMainForm(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TMainForm *MainForm;
//---------------------------------------------------------------------------
#endif
