//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "TimeChecker.h"

//---------------------------------------------------------------------------

#pragma package(smart_init)

TDateTime latestSavepoint(AnsiString ThinkDir){
   if(!DirectoryExists(ThinkDir)){
      return TDateTime();
   }
   // Searching for the most recently modified j*.dat
   TSearchRec rec; TDateTime max; AnsiString job;
   if(FindFirst(ThinkDir + "\\j*.dat", faAnyFile, rec)){
      return TDateTime();
   }
   do{
      if(max < FileDateToDateTime(rec.Time)){
         max = FileDateToDateTime(rec.Time);
         job = rec.Name;
      }
   }while(!FindNext(rec));

   FindClose(rec);
   return max;
}
